local ls = require("luasnip")
local s = ls.snippet
local sn = ls.snippet_node
local t = ls.text_node
local i = ls.insert_node
local f = ls.function_node
local d = ls.dynamic_node
local fmt = require("luasnip.extras.fmt").fmt
local fmta = require("luasnip.extras.fmt").fmta
local rep = require("luasnip.extras").rep

return {
  -- Pull Request
  s({
      trig = "pr", dscr = "cryptpad pull request"
    },
    fmta("{https://github.com/cryptpad/cryptpad/pull/<>}[#<>]", {
      i(1, "number"),
      rep(1),
    })
  ),

  -- Issue
  s({
      trig = "issue", dscr = "cryptpad issue request"
    },
    fmta("{https://github.com/cryptpad/cryptpad/issues/<>}[#<>]", {
      i(1, "number"),
      rep(1),
    })
  ),
}
